curl --request POST \
--url https://hg.cash/api/v1/ve/transactions/inbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "YOUR_ACCOUNT_UUID",
"amount": "100.5",
"bancoPago": "ONRAMP_BANK_NAME"
}
'import requests
url = "https://hg.cash/api/v1/ve/transactions/inbound"
payload = {
"accountId": "YOUR_ACCOUNT_UUID",
"amount": "100.5",
"bancoPago": "ONRAMP_BANK_NAME"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: 'YOUR_ACCOUNT_UUID', amount: '100.5', bancoPago: 'ONRAMP_BANK_NAME'})
};
fetch('https://hg.cash/api/v1/ve/transactions/inbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/ve/transactions/inbound",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => 'YOUR_ACCOUNT_UUID',
'amount' => '100.5',
'bancoPago' => 'ONRAMP_BANK_NAME'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/ve/transactions/inbound"
payload := strings.NewReader("{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hg.cash/api/v1/ve/transactions/inbound")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/ve/transactions/inbound")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}"
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"amount": "100.5",
"orden_id": 1000
}Create inbound transaction (Venezuela)
Credit an operative USDT account. amount is a positive decimal string, not a JSON number.
Up to 8 fractional digits may be present. montoFiat and tasaCompra are VES metadata.
Required: accountId, amount. Optional: bancoPago, webhookUrl.
bancoPago must be an exact onramp.banks[].name from GET /ve/banks.
It is not the numeric id and not a country.banks[].label. Omit it to leave the payer bank unset.
An unknown name or a raw id returns 400 with code: VE_INBOUND_INVALID_BANCO_PAGO.
Success is 201 with id, status: pending, amount, orden_id, and montoFiat / tasaCompra only when the create response includes them.
A missing account returns 404. No access returns 403. Bloqueada or Cerrada returns 403 with code: ACCOUNT_NOT_OPERATIVE.
An unsupported account or a non-USDT currency returns 400.
curl --request POST \
--url https://hg.cash/api/v1/ve/transactions/inbound \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "YOUR_ACCOUNT_UUID",
"amount": "100.5",
"bancoPago": "ONRAMP_BANK_NAME"
}
'import requests
url = "https://hg.cash/api/v1/ve/transactions/inbound"
payload = {
"accountId": "YOUR_ACCOUNT_UUID",
"amount": "100.5",
"bancoPago": "ONRAMP_BANK_NAME"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: 'YOUR_ACCOUNT_UUID', amount: '100.5', bancoPago: 'ONRAMP_BANK_NAME'})
};
fetch('https://hg.cash/api/v1/ve/transactions/inbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hg.cash/api/v1/ve/transactions/inbound",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => 'YOUR_ACCOUNT_UUID',
'amount' => '100.5',
'bancoPago' => 'ONRAMP_BANK_NAME'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hg.cash/api/v1/ve/transactions/inbound"
payload := strings.NewReader("{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hg.cash/api/v1/ve/transactions/inbound")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hg.cash/api/v1/ve/transactions/inbound")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"YOUR_ACCOUNT_UUID\",\n \"amount\": \"100.5\",\n \"bancoPago\": \"ONRAMP_BANK_NAME\"\n}"
response = http.request(request)
puts response.read_body{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending",
"amount": "100.5",
"orden_id": 1000
}Authorizations
User API authentication token with format cash_<64-char-hex>. Sample value cash_16cdc3b6f83c72d9d2680adca4f430962981f6bf32613a129dded0aa060387d2.
Body
"YOUR_ACCOUNT_UUID"
Positive USDT decimal string. Not a JSON number. Up to 8 fractional digits may be present. VES amounts are not this field.
^\d+(\.\d+)?$"100.5"
Exact onramp.banks[].name from GET /ve/banks. Not the numeric id.
"ONRAMP_BANK_NAME"
Response
Cash-in created
pending Positive USDT decimal string. Not a JSON number. Up to 8 fractional digits may be present. VES amounts are not this field.
^\d+(\.\d+)?$"100.5"
VES metadata. Included only when the create response has it.
VES metadata. Included only when the create response has it.

